import request from '@/utils/request'

// 查询抢险维修列表
export function listEmergencyRepair(query) {
  return request({
    url: '/gas/emergencyRepair/list',
    method: 'get',
    params: query
  })
}

// 查询抢险维修详细
export function getEmergencyRepair(id) {
  return request({
    url: '/gas/emergencyRepair/' + id,
    method: 'get'
  })
}

// 新增抢险维修
export function addEmergencyRepair(data) {
  return request({
    url: '/gas/emergencyRepair',
    method: 'post',
    data: data
  })
}

// 修改抢险维修
export function updateEmergencyRepair(data) {
  return request({
    url: '/gas/emergencyRepair',
    method: 'put',
    data: data
  })
}

// 删除抢险维修
export function delEmergencyRepair(id) {
  return request({
    url: '/gas/emergencyRepair/' + id,
    method: 'delete'
  })
}
